{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "definitionID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "customRecordDefinitionID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "customRecordID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "customRecordSetID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "customRecordSetID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "recordValue",
      "externalType" : "char",
      "name" : "recordValue",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "intValue",
      "externalType" : "longlong",
      "name" : "intValue",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "stringValue",
      "externalType" : "char",
      "name" : "stringValue",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "dateValue",
      "externalType" : "datetime",
      "isIndexed" : "N",
      "name" : "dateValue",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "decimalValue",
      "externalType" : "double",
      "name" : "decimalValue",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "customRecordOptionID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "customRecordOptionID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWCustomRecord",
  "classProperties" : [
    "createDate",
    "customRecordDefinitionID",
    "customRecordID",
    "customRecordSetID",
    "order",
    "recordValue",
    "intValue",
    "stringValue",
    "dateValue",
    "decimalValue",
    "customRecordOptionID",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "customRecordDefinition",
    "customRecordSet",
    "customRecordOption",
    "customRecordOptions",
    "customRecordCustomRecordOptions"
  ],
  "domain" : "Forms",
  "externalName" : "CustomRecord",
  "fetchSpecificationDictionary" : {

  },
  "fullTextSearchIndices" : [
    {
      "attributeNames" : [
        "stringValue"
      ],
      "name" : "stringValue"
    }
  ],
  "isDatabasePreference" : false,
  "isTrashable" : true,
  "name" : "CustomRecord",
  "primaryKeyAttributes" : [
    "customRecordID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y",
    "phonyAttributes" : [
      {
        "isInternal" : "N",
        "isUpdatable" : "N",
        "recordName" : "bridgedDisplayString",
        "recordType" : "String?",
        "sourceKeyPath" : "displayString"
      }
    ]
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "CustomRecordDefinition",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "customRecordDefinitionID",
          "sourceAttribute" : "customRecordDefinitionID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordDefinition",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "CustomRecordSet",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "customRecordSetID",
          "sourceAttribute" : "customRecordSetID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordSet",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "CustomRecordOption",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "customRecordOptionID",
          "sourceAttribute" : "customRecordOptionID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordOption",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "customRecordCustomRecordOptions.customRecordOption",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordOptions",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "CustomRecordOptionJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "customRecordID",
          "sourceAttribute" : "customRecordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordCustomRecordOptions",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportedPlatforms" : "MCPSupportedPlatformsAll",
  "supportsPermissions" : false,
  "uniqueIdentifier" : "18",
  "userInfo" : {
    "ExcludeInSuite" : "YES"
  }
}